<?php
/* 
* Author Notes: Please leave all comments and author information. 
* License: Freeware - For Personal and Business use - DO NOT CHANGE ANYTHING EXCEPT THE CONFIGURATION ARRAY.
* WARRANTY: Comes with no warranty or gaurantee of performance. Use at your own risk.
* Author: Danny Bench - Source Port Services
* Website: http://sourceportservices.com
* Revision Date: 9/3/2010
* Version: 1.2
*/

/*
*     ---------- Configuration Instructions -------------
* -Only edit the $servers array variable! 
* -This is the area that you will edit to reflect the Servers/Systems you want to monitor.
* -If you would like to add more systems make sure there is a comma ',' after each array() 
*   statement.
*
* -Your array() settings should follow the example on the next line.
*   array('Server Display Name','IP address or HOST name or Domain name', port#, timeout_in_seconds)
*	More Examples:
*   array('Internet Connection','www.google.com', 80, 1) //Code to monitor access to the Internet on HTTP port 80
*   array('Webserver 1','192.168.0.1', 80, 1) //Code to monitor a webserver on HTTP port 80
*   array('Webserver 1','web_svr_1', 80, 1) //Code to monitor a webserver using it's hostname on HTTP port 80
*   array('Email Server','10.0.0.64', 25, 1) //Code to monitor a email server on SMTP port 25
*/

$servers = array (
		array('Internet Connection', 'www.google.com', 80, 1),
		array('Local - Default Gateway', '192.168.1.1', 80, 1),
		array('Local - Wireless Router', '192.168.1.2', 80, 1),
		array('Local - Webserver', '192.168.1.5', 80, 1),
		array('Example: Offline Mail Server', '192.168.2.68', 25, 1),
);

?>

<html>
<head>
<title>SPS - Server Monitoring Tool v1.2</title>

<style type="text/css">
#main_container
{
text-align:center;
width:700px;
}

table td
{
border: 1px;
border-style:solid;
border-color:darkblue;
}

.table_head
{
background-color:lightblue;
}
</style>


</head>

<body>

<div id="main_container">
<p><h2>SPS - Server Monitoring Tool v1.2</h2></p>
<br />

<table width="700" cellspacing=0 cellpadding=1 align="center" class="results_table">
<tr class="table_head"><td title="Human Readable Display Name">
<strong>Resource Name</strong>
</td><td title="IP, Domain Name, or HOSTNAME used to connect to the server.">
<strong>IP Address</strong>
</td><td width=50 title="Listening Server Port that this tool uses to check status">
<strong>Port #</strong>
</td><td width=50 title="UP - Server is online and accessible, DOWN - Server not accessible or turned off.">
<strong>Status</strong>
</td><td width=100 title="Connection Status Indicator">
<strong>Status Light</strong>
</td></tr>

<?php
//Run Main Loop to check all servers list in the array for status.
foreach ($servers as $server){

$fp = @fsockopen($server[1], $server[2], $errno, $errstr, $server[3]);

	//If statement to show IF server status is UP or DOWN
	if(!$fp){
	$server_stat_str = "<tr><td>{$server[0]}</td><td>{$server[1]}</td><td>{$server[2]}</td><td><span style='color:red;font-weight:bold;'>DOWN</span></td><td><img src='down.gif' /></td></tr>";
	} else {
	$server_stat_str = "<tr><td>{$server[0]}</td><td>{$server[1]}</td><td>{$server[2]}</td><td><span style='color:green;font-weight:bold;'>UP</span></td><td><img src='up.gif' /></td></tr>";	
	}

//Write this Server Status row to the page and repeat until there are not more.
echo $server_stat_str;

}

?>



</table>

<br /><br /><br /><br />
<p><span style="font-size: 12px;">Designed By: <a href="http://sourceportservices.com" target="_blank">Source Port Services</a> &copy; 2010</p>
</div>


</body>
</html>